Package Details: nyrna 1.3-1

Git Clone URL: https://aur.archlinux.org/nyrna.git (read-only, click to copy)
Package Base: nyrna
Description: Simple program to pause games & applications
Upstream URL: https://github.com/Merrit/nyrna
Licenses: GPL3 or any later version
Submitter: Merritt
Maintainer: Merritt
Last Packager: Merritt
Votes: 3
Popularity: 1.66
First Submitted: 2020-06-26 22:12
Last Updated: 2020-10-11 18:39

Latest Comments

BrianAllred commented on 2020-08-24 17:25

libxkbcommon-x11 is a make dep as of v1.2.

BrianAllred commented on 2020-07-21 16:07

Yes, I was doing a full git clone and then building in a chroot. The latest PKGBUILD fixed my issue, though, thanks!

Merritt commented on 2020-07-17 19:04

Are you just grabbing the PKGBUILD file? The icon & .desktop file are included in the git repo for this pkg, when an AUR helper builds AFAIK it clones the whole repo - probably why it fails for you. Try cloning the whole pkgbuild repo and build from that.

Merritt commented on 2020-07-17 18:28

Are you building manually or using an AUR helper?

I spun up a fresh VM to test this, and it built and installed as expected. I've never tried to build manually, only with an AUR helper, so if that is the case I am not sure what to do differently for your machine.

BrianAllred commented on 2020-07-16 19:32

Indeed. I even created an entirely new chroot. Following the instructions here: https://wiki.archlinux.org/index.php/DeveloperWiki:Building_in_a_clean_chroot

Merritt commented on 2020-07-16 19:12

Did you clean up the build folder? I can't reproduce this on my end after pushing the last update.

BrianAllred commented on 2020-07-16 16:53

Getting closer! Now failing at

==> Starting package()...
install: cannot stat '../../nyrna.desktop': No such file or directory
==> ERROR: A failure occurred in package().
    Aborting...

Although it built for me just fine outside the chroot, which is interesting.

Merritt commented on 2020-07-15 21:41

Should hopefully be fixed with the new version.

BrianAllred commented on 2020-07-14 16:24

Does not build in a clean chroot.

# pkg-config --cflags  -- gtk+-3.0 appindicator3-0.1
Package gtk+-3.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `gtk+-3.0.pc'
to the PKG_CONFIG_PATH environment variable
Package 'gtk+-3.0', required by 'virtual:world', not found
Package 'appindicator3-0.1', required by 'virtual:world', not found
pkg-config: exit status 1